%global momorel 8

Summary: The GTK+ port of the wxWidgets library
Name: wxGTK
Version: 2.4.2
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
%NoSource 0 http://umn.dl.sourceforge.net/sourceforge/wxwindows/wxGTK-%{version}.tar.bz2 cdadfe82fc93f8a65a2ae18a95b0b0e3
Patch0: wxGTK-2.4.2-privates.patch
Patch1: wxGTK-2.4.2-lib64.patch
URL: http://www.wxwidgets.org/
BuildPreReq: gtk+-devel >= 2.0 glib-devel pango-devel
BuildPreReq: libpng-devel >= 1.2.2
BuildPreReq: gcc-c++ >= 3.4.1-1m
Requires: gtk+ >= 2.0 glib pango
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# all packages providing an implementation of wxWidgets library (regardless of
# the toolkit used) should provide the (virtual) wxwin package, this makes it
# possible to require wxwin instead of requiring "wxgtk or wxmotif or wxqt..."
Provides: wxwin

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package devel
Summary: The GTK+ port of the wxWidgets library
Group: System Environment/Libraries
Requires: %name = %{version}

%description devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package gl
Summary: The GTK+ port of the wxWidgets library, OpenGl add-on.
Group: System Environment/Libraries
Requires: wxGTK

%description gl
OpenGl add-on library for wxGTK, the GTK+ port of the wxWidgets library.

%prep
%setup -q
%patch0 -p1 -b .privates
%if %{_lib} == "lib64"
%patch1 -p1 -b .lib64~
%endif

%configure \
    --without-odbc \
    --with-opengl \
    --with-gtk  \
    --disable-debug_flag \
    --disable-debug_info \
    --disable-debug_gdb \
    --with-libpng=sys \
    --with-libjpeg=sys \
    --with-libtiff=sys \
    --with-zlib=sys \
    --enable-gtk2 \
    --enable-soname \
    --disable-optimise \
    --enable-tabdialog \
    --disable-unicode

%build
%make

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi
%makeinstall
(cd %{buildroot}%{_bindir}
  ln -s wxgtk2*-2.4-config %{buildroot}%{_bindir}/wxgtk-config
)

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr ( -, root, root)
%doc COPYING.LIB INSTALL.txt LICENCE.txt README.txt TODO.txt
%dir %{_datadir}/wx
%{_datadir}/wx/*
%attr(755,root,root) %{_libdir}/libwx_gtk2*-2.4.so.*
%{_datadir}/locale/*/LC_MESSAGES/wxstd.mo

%files devel
%defattr ( -, root, root)
%dir %{_includedir}/wx
%{_includedir}/wx/*
%dir %{_libdir}/wx
%{_libdir}/wx/*
%{_libdir}/libwx_gtk*-2.4.so
%{_datadir}/aclocal/wxwin.m4
%attr(755,root,root) %{_bindir}/wxgtk*-2.4-config
%attr(755,root,root) %{_bindir}/wxgtk-config
%attr(755,root,root) %{_bindir}/wx-config

%files gl
%defattr( -, root , root)
%attr(755,root,root) %{_libdir}/libwx_gtk*_gl*

%changelog
* Wed Mar 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.2-8m)
- use a wildcard in making a symlink

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.4.2-7m)
- enable x86_64.

* Sat Nov 06 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.2-6m)
- s/wxWindows/wxWidgets/g (http://www.wxwidgets.org/name.htm)
- add Patch0 from fefora.us to work with GTK2 correctly
  (http://download.fedora.us/fedora/fedora/latest/i386/SRPMS.stable/wxGTK2-2.4.2-0.fdr.2.2.src.rpm)

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.4.2-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.2-4m)
- rebuild against for pango-1.4.0
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.2-3m)
- rebuild against for glib-2.4.0

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.2-2m)
- revised spec for rpm 4.2.

* Sun Dec 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.4.2-1m)
- update to 2.4.2
- build with gtk2

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.9-9m)
- fix build problem against gcc-3.X

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.2.9-8k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.2.9-6k)
- gcc-3.1 patch(Patch0)

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.2.9-4k)
- rebuild against libpng 1.2.2.

* Wed Mar 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.2.9-2k)
- update to 2.2.9

* Thu Dec 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.2-5k)
- modified robbed spec file

* Mon Sep 04 2000 Koichi Asano <koichi@comm.info.eng.osaka-cu.ac.jp>
- kondarize
